LegalStack

Реестры — источники данных

Внешние источники данных для реестров (файлы, Google Sheets, Dropbox).

Получить источник данных

GET
/api/v1/registry/sources/{sourceId}
АвторизацияBearer <токен>

В: header

Параметры пути

sourceId*string

Тело ответа

application/json

curl -X GET "https://loading/api/v1/registry/sources/string"
null

Удалить источник данных

DELETE
/api/v1/registry/sources/{sourceId}
АвторизацияBearer <токен>

В: header

Параметры пути

sourceId*string

Тело ответа

application/json

curl -X DELETE "https://loading/api/v1/registry/sources/string"
{
  "success": true,
  "property1": null,
  "property2": null
}

Обновить источник данных

PUT
/api/v1/registry/sources/{sourceId}
АвторизацияBearer <токен>

В: header

Параметры пути

sourceId*string

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

curl -X PUT "https://loading/api/v1/registry/sources/string" \  -H "Content-Type: application/json" \  -d '{}'
null

Синхронизировать источник

POST
/api/v1/registry/sources/{sourceId}/sync
АвторизацияBearer <токен>

В: header

Параметры пути

sourceId*string

Тело ответа

application/json

curl -X POST "https://loading/api/v1/registry/sources/string/sync"
{
  "success": true,
  "property1": null,
  "property2": null
}

Отметить источник как синхронизированный

PATCH
/api/v1/registry/sources/{sourceId}/sync
АвторизацияBearer <токен>

В: header

Параметры пути

sourceId*string

Тело ответа

application/json

curl -X PATCH "https://loading/api/v1/registry/sources/string/sync"
{
  "success": true,
  "property1": null,
  "property2": null
}

Список источников данных реестра

GET
/api/v1/registry/types/{typeId}/sources
АвторизацияBearer <токен>

В: header

Параметры пути

typeId*string

Тело ответа

application/json

curl -X GET "https://loading/api/v1/registry/types/string/sources"
[
  null
]

Создать источник данных для реестра

POST
/api/v1/registry/types/{typeId}/sources
АвторизацияBearer <токен>

В: header

Параметры пути

typeId*string

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

curl -X POST "https://loading/api/v1/registry/types/string/sources" \  -H "Content-Type: application/json" \  -d '{    "config": {      "sourceType": "documents"    },    "name": "string",    "type": "file"  }'
null